Subject: Re: bug#24948: Illegible GRUB menu

From: Mark H Weaver <[email-masked]>
Date: Mon, 21 Nov 2016 01:54:02 -0500

Hi Leo,

Leo Famulari <[email-masked]> writes:
> On my Thinkpad x200s running GuixSD, the graphical GRUB menu is
> scrambled and illegible. I've attached a photograph of the problem.
[...]
> This is not a recent regression; I've been working around it with the
> diff below for a few months now.

A few months ago we updated our grub from 2.00 to 2.02beta3, in commit
4c7260011e219eb3ebf5da976ab107dbd5997829, dated June 16.  Was that
roughly when this problem began?

If so, I suggest reverting that commit in your local tree, to see if
downgrading to grub 2.00 fixes the problem.

       Mark